Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
search
/
analyses
/
{project_id}
Get Analysis By Id
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/analyses/{project_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "internal_id": "<string>",
  "website": "<string>",
  "brand": "<string>",
  "sources": [],
  "devices": [],
  "country": "<string>",
  "language": "<string>",
  "query_fanouts_enabled": true,
  "shopping_enabled": true,
  "category": "<string>",
  "thematics": [
    {
      "id": "<string>",
      "name": "<string>",
      "color": "<string>",
      "topics": []
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>",
  "workspace_id": "<string>",
  "name": "<string>",
  "brand_official_name": "<string>",
  "personas": [],
  "related_products": [],
  "sub_brands": [],
  "perceptions": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required
organization_id
string
required
workspace_id
string
required

Response

Successful Response

id
string
required

Unique identifier of the analysis.

internal_id
string
required

UUID v4 unique identifier of the analysis.

website
string
required

Website being tracked by this analysis.

brand
string
required

Primary brand name associated with the tracked website.

status
enum<string>
required

Lifecycle status of the analysis.

Available options:
NEW,
RUNNING,
ACTIVE,
DELETED,
PAUSED
sources
enum<string>[]
required

Search engines and AI sources monitored by this analysis.

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
devices
enum<string>[]
required

Device types for which results are collected.

Available options:
DESKTOP,
MOBILE,
TABLET
country
string
required

Country code for which search results are collected (ISO 3166-1 alpha-2).

language
string
required

Language code used for queries in this analysis (BCP 47).

frequency
enum<string>
required

How often data collection runs.

Available options:
MONTHLY,
WEEKLY,
DAILY,
ONCE
query_fanouts_enabled
boolean
required

Whether query fan-out (expanded query variants) is enabled for this analysis.

shopping_enabled
boolean
required

Whether shopping results are collected for this analysis.

category
string
required

Industry or vertical category this analysis belongs to.

thematics
AnalysisThematicResponse · object[]
required

Thematic groups defined in this analysis, each containing topics with their keywords.

created_at
string
required

ISO 8601 timestamp of when this analysis was created.

updated_at
string
required

ISO 8601 timestamp of when this analysis was last updated.

workspace_id
string | null

ID of the workspace this analysis belongs to.

name
string | null

Display name of the analysis, if set.

brand_official_name
string | null

Official legal or full name of the brand, if different from the display name.

website_type
enum<string>

Type of website being tracked. Null if not specified.

Available options:
DOMAIN,
SUBDOMAIN
personas
AnalysisPersonaResponse · object[]

Personas defined for this analysis.

Products or services linked to this analysis.

sub_brands
AnalysisSubBrandResponse · object[]

Sub-brands tracked within this analysis.

perceptions
AnalysisPerceptionResponse · object[]

Brand strengths and weaknesses defined for this analysis.